angular.module('starter.controllers')
  .controller('homescreenCtrl', function($ionicSideMenuDelegate, $scope, $ionicLoading, $rootScope,acadiaPromise,$ionicPopup, $ionicModal, $timeout, $location, $state,
	$http, $stateParams, $interval, loginPromise) {
	console.log('homescreen ready');
	
	$scope.goBackHistory = function() {
      window.history.back();
    };
	
	
	$scope.$on('$ionicView.enter', function(e) {
		$('#backBtn').hide();
		$scope.$parent.$parent.currentPageTitle = 'Acadia'
		$scope.$parent.$parent.inDetailpage = false;
		delete $scope.$parent.$parent.currentTeamName;
		delete $scope.$parent.$parent.currentApplication;
		delete $scope.$parent.$parent.currentStatus;
		$scope.$parent.$parent.shareOnAppPage = false;
		$scope.$parent.$parent.currentTeamName = 'Acadia';
		
		
		
		$scope.groups = {};
		var acadiaData = acadiaPromise.startService();
		acadiaData.then(
			function(success) {
				//console.log("success");
				$scope.groupsOriginal = success;
				$scope.groups = success;
				$ionicLoading.hide();
			},
			function(error) {
				alert(error);
			}
		);

	});
	
	
	$scope.searchAppName = function() {
			console.log($('#searchKey').val());
			var searchKey = $('#searchKey').val();
			$scope.groups = {};
			if(searchKey.trim()){				
				for (var group in $scope.groupsOriginal) {
					for (var apps in $scope.groupsOriginal[group]) {
						//search for appname
						if($scope.groupsOriginal[group][apps].appName.toLowerCase().includes(searchKey.toLowerCase())){
							if(!$scope.groups.hasOwnProperty(group)){
								$scope.groups[group] = [];
								$scope.groups[group].push($scope.groupsOriginal[group][apps]);
							}
							else{
								$scope.groups[group].push($scope.groupsOriginal[group][apps]);
							}
						}
						//search for motsid
						else if($scope.groupsOriginal[group][apps].motsId.toLowerCase().includes(searchKey.toLowerCase())){
							if(!$scope.groups.hasOwnProperty(group)){
								$scope.groups[group] = [];
								$scope.groups[group].push($scope.groupsOriginal[group][apps]);
							}
							else{
								$scope.groups[group].push($scope.groupsOriginal[group][apps]);
							}
						}
					}
				}
				if(angular.equals($scope.groups, {}))
				{
					//alert("1MOTS/App not found");
					$scope.showAlert();
				}
				
			}
			else{
				//alert("1MOTS/App not found");
					$scope.showAlert();
			}
			
	};
	
	$scope.resetApps = function() {
			$('#searchKey').val('');
			$scope.shownGroup = null;
			$scope.shownSubGroup = null;
			$scope.groups = $scope.groupsOriginal;
	};

	  $scope.toggleGroup = function(group) {
		if ($scope.isGroupShown(group)) {
		  $scope.shownGroup = null;
		} else {
		  $scope.shownGroup = group;
		}
	  };
	  
	  $scope.isGroupShown = function(group) {
		return $scope.shownGroup === group;
	  };
	  
	  $scope.toggleSubGroup = function(group) {
		if ($scope.isSubGroupShown(group)) {
		  $scope.shownSubGroup = null;
		} else {
		  $scope.shownSubGroup = group;
		}
	  };
	  
	  $scope.isSubGroupShown = function(group) {
		return $scope.shownSubGroup === group;
	  };
						
	 $scope.showAlert = function() {
		 var alertPopup = $ionicPopup.alert({
		   title: 'MOTS/App not found '
		 });
				 
	}; 
	
	
})
