angular.module('starter',['ionic','starter.controllers','ngStorage'])
	.run(function($ionicPlatform, $state, $ionicHistory, $http, $rootScope, $templateCache){
		
		$rootScope.$on('$viewContentLoaded', function() {
		  $templateCache.removeAll();
		});
		
		$ionicPlatform.ready(function() {
		  
		  if (window.cordova && window.cordova.plugins.Keyboard) {
			cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
			cordova.plugins.Keyboard.disableScroll(false);

		  }
		  if (window.StatusBar) {
			
			StatusBar.styleDefault();
		  }
		  $ionicHistory.nextViewOptions({
			
		  });
		  
		});
	})
	.config(function($stateProvider, $urlRouterProvider){
		$stateProvider
		.state('app', {
			url: '/app',
			abstract: true,
			templateUrl: 'templates/menu.html',
			controller: 'AppCtrl'
		})
		.state('app.login', {
			url: '/login',
			views: {
			  'menuContent': {
				templateUrl: 'templates/login.html',
				controller: 'loginCtrl'
			  }
			}
		})
		.state('app.homescreen', {
				url: '/homescreen',
				views: {
				  'menuContent': {
					templateUrl: 'templates/homescreen.html',
					controller: 'homescreenCtrl'
				  }
				}
			})
			
	  $urlRouterProvider.otherwise('/app/login');
	});
